SimpleGroovyAbstractableElementDoc (Groovy 3.0.9)

Package org.codehaus.groovy.tools.groovydoc

## Class SimpleGroovyAbstractableElementDoc

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
  - - org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
    - - org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc

- All Implemented Interfaces:
    `Comparable`, `GroovyDoc`, `GroovyProgramElementDoc`
  Direct Known Subclasses:
    `SimpleGroovyClassDoc`, `SimpleGroovyMemberDoc`

      public class SimpleGroovyAbstractableElementDoc
      extends SimpleGroovyProgramElementDoc

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

      `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, TRAIT_DEF`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleGroovyAbstractableElementDoc​(String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isAbstract()` |
    `void` | `setAbstract​(boolean b)` |

    - ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

      `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`

    - ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

      `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

      `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

- - ### Constructor Detail

    - #### SimpleGroovyAbstractableElementDoc

          public SimpleGroovyAbstractableElementDoc​(String name)

  - ### Method Detail

    - #### setAbstract

          public void setAbstract​(boolean b)

    - #### isAbstract

          public boolean isAbstract()